package ru.yandex.direct.web.entity.performance.presentation;

import ru.yandex.direct.core.entity.banner.type.performance.defects.PerformanceBannerMainDefectIds;
import ru.yandex.direct.validation.presentation.DefaultDefectPresentationRegistry;
import ru.yandex.direct.web.validation.kernel.TranslatableWebDefect;

import static ru.yandex.direct.web.validation.kernel.WebDefectPresentationProviders.defaultWebDefect;

public class PerformanceBannerDefectPresentations {
    public static DefaultDefectPresentationRegistry<TranslatableWebDefect> performanceBannerDefectPresentationRegistry() {
        return DefaultDefectPresentationRegistry.builder()
                .register(PerformanceBannerMainDefectIds.BANNER_IN_THIS_ADGROUP_ALREADY_EXISTS,
                        defaultWebDefect())
                .register(PerformanceBannerMainDefectIds.BANNERS_WITHOUT_CREATIVE_NOT_ENABLED,
                        defaultWebDefect())
                .build();
    }
}
